﻿/**Begin D:\PDM_UPGRADE\PDM1\CAQM_constraint.sql **/
 EXEC P_ALTERPK 'PK_CAQM_CEREXAMINE_L', 'T_CAQM_CEREXAMINE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_CEREXAMINE_L') CREATE INDEX IDX_CAQM_CEREXAMINE_L ON T_CAQM_CEREXAMINE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_CAQM_CERRESOLUTION_L', 'T_CAQM_CERRESOLUTION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_CERRESOLUTION_L') CREATE INDEX IDX_CAQM_CERRESOLUTION_L ON T_CAQM_CERRESOLUTION_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_CAQM_MATERIALATTACH', 'T_CAQM_MATERIALATTACH', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_MATERIALATTACH') CREATE INDEX IDX_CAQM_MATERIALATTACH ON T_CAQM_MATERIALATTACH ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_CAQM_CERTIFICATEAPPLY_L', 'T_CAQM_CERTIFICATEAPPLY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_CERTIFICATEAPPLY_L') CREATE INDEX IDX_CAQM_CERTIFICATEAPPLY_L ON T_CAQM_CERTIFICATEAPPLY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_CAQM_CONFIG', 'T_CAQM_CONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_CONFIG') CREATE INDEX IDX_CAQM_CONFIG ON T_CAQM_CONFIG ( FKEY );


 EXEC P_ALTERPK 'PK_CAQM_CONFIG_L', 'T_CAQM_CONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_CONFIG_L') CREATE INDEX IDX_CAQM_CONFIG_L ON T_CAQM_CONFIG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_CAQM_PLANMATEENTRY', 'T_CAQM_PLANMATEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_PLANMATEENTRY') CREATE INDEX IDX_CAQM_PLANMATEENTRY ON T_CAQM_PLANMATEENTRY ( FID );


 EXEC P_ALTERPK 'PK_CAQM_CERPLAN', 'T_CAQM_CERPLAN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_CERPLAN_NUM') CREATE INDEX IDX_CAQM_CERPLAN_NUM ON T_CAQM_CERPLAN ( FNUMBER );


 EXEC P_ALTERPK 'PK_CAQM_CERMATERIAL', 'T_CAQM_CERMATERIAL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_CERMATERIAL') CREATE INDEX IDX_CAQM_CERMATERIAL ON T_CAQM_CERMATERIAL ( FNUMBER );


 EXEC P_ALTERPK 'PK_CAQM_CERRESOLUTION', 'T_CAQM_CERRESOLUTION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_CERRESOLUTION') CREATE INDEX IDX_CAQM_CERRESOLUTION ON T_CAQM_CERRESOLUTION ( FBILLNO );


 EXEC P_ALTERPK 'PK_CAQM_CEREXAMINE', 'T_CAQM_CEREXAMINE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_CEREXAMINE') CREATE INDEX IDX_CAQM_CEREXAMINE ON T_CAQM_CEREXAMINE ( FBILLNO );


 EXEC P_ALTERPK 'PK_CAQM_MSGMAINTAIN', 'T_CAQM_MSGMAINTAIN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_CAQM_MSGMAINTAIN') CREATE INDEX IDX_T_CAQM_MSGMAINTAIN ON T_CAQM_MSGMAINTAIN ( FBILLID ,FENTITYNAME ,FTYPE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_MSGMAINTAIN_NU') CREATE INDEX IDX_CAQM_MSGMAINTAIN_NU ON T_CAQM_MSGMAINTAIN ( FTYPE );


 EXEC P_ALTERPK 'PK_CAQM_CERTIFICATEAPPLY', 'T_CAQM_CERTIFICATEAPPLY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_CERTIFICATEAPPLY_NUM') CREATE INDEX IDX_CAQM_CERTIFICATEAPPLY_NUM ON T_CAQM_CERTIFICATEAPPLY ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_CERTIFICATEAPPLY_NAME') CREATE INDEX IDX_CAQM_CERTIFICATEAPPLY_NAME ON T_CAQM_CERTIFICATEAPPLY ( FRECORDERID );


 EXEC P_ALTERPK 'PK_CAQM_CERATTACH', 'T_CAQM_CERATTACH', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_CERATTACH') CREATE INDEX IDX_CAQM_CERATTACH ON T_CAQM_CERATTACH ( FENTRYID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_CAQM_MATERIALENTRY', 'T_CAQM_MATERIALENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_MATERIALENTRY') CREATE INDEX IDX_CAQM_MATERIALENTRY ON T_CAQM_MATERIALENTRY ( FID );


 EXEC P_ALTERPK 'PK_CAQM_CERMATERIAL_L', 'T_CAQM_CERMATERIAL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_CERMATERIAL_L') CREATE INDEX IDX_CAQM_CERMATERIAL_L ON T_CAQM_CERMATERIAL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_CAQM_CERTIFICATEAPPLY_A', 'T_CAQM_CERTIFICATEAPPLY_A', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_CERTIFICATEAPPLYA') CREATE INDEX IDX_CAQM_CERTIFICATEAPPLYA ON T_CAQM_CERTIFICATEAPPLY_A ( FCERAUDITSTATUS );


 EXEC P_ALTERPK 'PK_CAQM_CERSTANDENTRY', 'T_CAQM_CERSTANDENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_CERSTANDENTRY') CREATE INDEX IDX_CAQM_CERSTANDENTRY ON T_CAQM_CERSTANDENTRY ( FID );


 EXEC P_ALTERPK 'PK_CAQM_EXAMSCHEDULE', 'T_CAQM_EXAMSCHEDULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_EXAMSCHEDULE') CREATE INDEX IDX_CAQM_EXAMSCHEDULE ON T_CAQM_EXAMSCHEDULE ( FBILLNO );


 EXEC P_ALTERPK 'PK_CAQM_CEREXAMINEENTRY', 'T_CAQM_CEREXAMINEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_CEREXAMINEENTRY') CREATE INDEX IDX_CAQM_CEREXAMINEENTRY ON T_CAQM_CEREXAMINEENTRY ( FID );


 EXEC P_ALTERPK 'PK_CAQM_CERSELFASSENTRY', 'T_CAQM_CERSELFASSENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_CERSELFASSENTRY') CREATE INDEX IDX_CAQM_CERSELFASSENTRY ON T_CAQM_CERSELFASSENTRY ( FID );


 EXEC P_ALTERPK 'PK_CAQM_CERPLAN_L', 'T_CAQM_CERPLAN_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_CERPLAN_L') CREATE INDEX IDX_CAQM_CERPLAN_L ON T_CAQM_CERPLAN_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_CAQM_PLANMATEENTRY_L', 'T_CAQM_PLANMATEENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_PLANMATEENTRY_L') CREATE INDEX IDX_CAQM_PLANMATEENTRY_L ON T_CAQM_PLANMATEENTRY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_CAQM_MATERIALENTRY_L', 'T_CAQM_MATERIALENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_MATERIALENTRY_L') CREATE INDEX IDX_CAQM_MATERIALENTRY_L ON T_CAQM_MATERIALENTRY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_CAQM_SELFATTACH', 'T_CAQM_SELFATTACH', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_SELFATTACH') CREATE INDEX IDX_CAQM_SELFATTACH ON T_CAQM_SELFATTACH ( FENTRYID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_CAQM_EXAMINER', 'T_CAQM_EXAMINER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_EXAMINER') CREATE INDEX IDX_CAQM_EXAMINER ON T_CAQM_EXAMINER ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_CAQM_QUALHANDLER', 'T_CAQM_QUALHANDLER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_QUALHANDLER') CREATE INDEX IDX_CAQM_QUALHANDLER ON T_CAQM_QUALHANDLER ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_CAQM_ARRANGEHANDLER', 'T_CAQM_ARRANGEHANDLER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_ARRANGEHANDLER') CREATE INDEX IDX_CAQM_ARRANGEHANDLER ON T_CAQM_ARRANGEHANDLER ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_CAQM_EXAMARRENTRY', 'T_CAQM_EXAMARRENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_EXAMARRENTRY') CREATE INDEX IDX_CAQM_EXAMARRENTRY ON T_CAQM_EXAMARRENTRY ( FID );


 EXEC P_ALTERPK 'PK_CAQM_CURRCERSTDENTRY', 'T_CAQM_CURRCERSTDENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_CURRCERSTDENTRY') CREATE INDEX IDX_CAQM_CURRCERSTDENTRY ON T_CAQM_CURRCERSTDENTRY ( FID );


 EXEC P_ALTERPK 'PK_CAQM_CERPRSAPPEAL', 'T_CAQM_CERPRSAPPEAL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_CERPRSAPPEAL') CREATE INDEX IDX_CAQM_CERPRSAPPEAL ON T_CAQM_CERPRSAPPEAL ( FBILLNO );


 EXEC P_ALTERPK 'PK_CAQM_COMMPERSON', 'T_CAQM_COMMPERSON', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_COMMPERSON') CREATE INDEX IDX_CAQM_COMMPERSON ON T_CAQM_COMMPERSON ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_CAQM_APPEALCOMM', 'T_CAQM_APPEALCOMM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_APPEALCOMM') CREATE INDEX IDX_CAQM_APPEALCOMM ON T_CAQM_APPEALCOMM ( FBILLNO );


 EXEC P_ALTERPK 'PK_CAQM_APPEALEXAMINE', 'T_CAQM_APPEALEXAMINE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_APPEALEXAMINE') CREATE INDEX IDX_CAQM_APPEALEXAMINE ON T_CAQM_APPEALEXAMINE ( FBILLNO );


 EXEC P_ALTERPK 'PK_CAQM_APPEALEXAMENTRY', 'T_CAQM_APPEALEXAMENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_APPEALEXAMENTRY') CREATE INDEX IDX_CAQM_APPEALEXAMENTRY ON T_CAQM_APPEALEXAMENTRY ( FID );


 EXEC P_ALTERPK 'PK_CAQM_APPEALRESO', 'T_CAQM_APPEALRESO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_APPEALRESO') CREATE INDEX IDX_CAQM_APPEALRESO ON T_CAQM_APPEALRESO ( FBILLNO );


 EXEC P_ALTERPK 'PK_CAQM_APPEALARRANGE', 'T_CAQM_APPEALARRANGE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_APPEALARRANGE') CREATE INDEX IDX_CAQM_APPEALARRANGE ON T_CAQM_APPEALARRANGE ( FBILLNO );


 EXEC P_ALTERPK 'PK_CAQM_APPEALARRHANDLER', 'T_CAQM_APPEALARRHANDLER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_APPEALARRHANDLER') CREATE INDEX IDX_CAQM_APPEALARRHANDLER ON T_CAQM_APPEALARRHANDLER ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_CAQM_APPEALDEALHANDLER', 'T_CAQM_APPEALDEALHANDLER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_APPEALDEALHANDLER') CREATE INDEX IDX_CAQM_APPEALDEALHANDLER ON T_CAQM_APPEALDEALHANDLER ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_CAQM_APELARRENTRY', 'T_CAQM_APELARRENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_APELARRENTRY') CREATE INDEX IDX_CAQM_APELARRENTRY ON T_CAQM_APELARRENTRY ( FID );


 EXEC P_ALTERPK 'PK_CAQM_CERMESSCONFIG', 'T_CAQM_CERMESSCONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_CERMESSCONFIG') CREATE INDEX IDX_CAQM_CERMESSCONFIG ON T_CAQM_CERMESSCONFIG ( FNUMBER );


 EXEC P_ALTERPK 'PK_CAQM_CERMESSCONFIG_L', 'T_CAQM_CERMESSCONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_CERMESSCONFIG_L') CREATE INDEX IDX_CAQM_CERMESSCONFIG_L ON T_CAQM_CERMESSCONFIG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_CAQM_CHOOSEDITEM', 'T_CAQM_CHOOSEDITEM', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_CHOOSEDITEM') CREATE INDEX IDX_CAQM_CHOOSEDITEM ON T_CAQM_CHOOSEDITEM ( FID );


 EXEC P_ALTERPK 'PK_CAQM_QUALIAUTHPARAM', 'T_CAQM_QUALIAUTHPARAM', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_QUALIAUTHPARAM') CREATE INDEX IDX_CAQM_QUALIAUTHPARAM ON T_CAQM_QUALIAUTHPARAM ( FID );


 EXEC P_ALTERPK 'PK_CAQM_QUALIAUTHPARAMS', 'T_CAQM_QUALIAUTHPARAMS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_QUALIAUTHPARAMS') CREATE INDEX IDX_CAQM_QUALIAUTHPARAMS ON T_CAQM_QUALIAUTHPARAMS ( FNUMBER ,FNAME );


 EXEC P_ALTERPK 'PK_CAQM_QUALIAUTHPARAMS_L', 'T_CAQM_QUALIAUTHPARAMS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_QUALIAUTHPARAMS_L') CREATE INDEX IDX_CAQM_QUALIAUTHPARAMS_L ON T_CAQM_QUALIAUTHPARAMS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_CAQM_QUALICAPRANKENTRY', 'T_CAQM_QUALICAPRANKENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_QUALICAPRANKENTRY') CREATE INDEX IDX_CAQM_QUALICAPRANKENTRY ON T_CAQM_QUALICAPRANKENTRY ( FID ,FCAPRANKINFOID );


 EXEC P_ALTERPK 'PK_CAQM_QUALICERTENTRY', 'T_CAQM_QUALICERTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_QUALICERTENTRY') CREATE INDEX IDX_CAQM_QUALICERTENTRY ON T_CAQM_QUALICERTENTRY ( FID );


 EXEC P_ALTERPK 'PK_CAQM_QUALIJOBCLASS', 'T_CAQM_QUALIJOBCLASS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_QUALIJOBCLASS') CREATE INDEX IDX_CAQM_QUALIJOBCLASS ON T_CAQM_QUALIJOBCLASS ( FID );


 EXEC P_ALTERPK 'PK_CAQM_QUALIJOBFAMILY', 'T_CAQM_QUALIJOBFAMILY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_QUALIJOBFAMILY') CREATE INDEX IDX_CAQM_QUALIJOBFAMILY ON T_CAQM_QUALIJOBFAMILY ( FID );


 EXEC P_ALTERPK 'PK_CAQM_QUALIJOBSEQ', 'T_CAQM_QUALIJOBSEQ', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_QUALIJOBSEQ') CREATE INDEX IDX_CAQM_QUALIJOBSEQ ON T_CAQM_QUALIJOBSEQ ( FID );


 EXEC P_ALTERPK 'PK_CAQM_QUALIRANKENTRY', 'T_CAQM_QUALIRANKENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_QUALIRANKENTRY') CREATE INDEX IDX_CAQM_QUALIRANKENTRY ON T_CAQM_QUALIRANKENTRY ( FID ,FNUMBER );


 EXEC P_ALTERPK 'PK_CAQM_QUALIRANKENTRY_L', 'T_CAQM_QUALIRANKENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_QUALIRANKENTRY_L') CREATE INDEX IDX_CAQM_QUALIRANKENTRY_L ON T_CAQM_QUALIRANKENTRY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_CAQM_QUALIRANKSCHEME', 'T_CAQM_QUALIRANKSCHEME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_QUALIRANKSCHEME') CREATE INDEX IDX_CAQM_QUALIRANKSCHEME ON T_CAQM_QUALIRANKSCHEME ( FNUMBER ,FNAME ,FBOID );


 EXEC P_ALTERPK 'PK_CAQM_QUALIRANKSCHEME_L', 'T_CAQM_QUALIRANKSCHEME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_QUALIRANKSCHEME_L') CREATE INDEX IDX_CAQM_QUALIRANKSCHEME_L ON T_CAQM_QUALIRANKSCHEME_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_CAQM_QUALISTANDARD', 'T_CAQM_QUALISTANDARD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_QUALISTANDARD') CREATE INDEX IDX_CAQM_QUALISTANDARD ON T_CAQM_QUALISTANDARD ( FNUMBER ,FNAME );


 EXEC P_ALTERPK 'PK_CAQM_QUALISTANDARD_L', 'T_CAQM_QUALISTANDARD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAQM_QUALISTANDARD_L') CREATE INDEX IDX_CAQM_QUALISTANDARD_L ON T_CAQM_QUALISTANDARD_L ( FID ,FLOCALEID );



/**End D:\PDM_UPGRADE\PDM1\CAQM_constraint.sql **/
