﻿/**Begin D:\PDM_UPGRADE\PDM1\CAQM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_CEREXAMINE_L') 
 CREATE TABLE T_CAQM_CEREXAMINE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_CERRESOLUTION_L') 
 CREATE TABLE T_CAQM_CERRESOLUTION_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_MATERIALATTACH') 
 CREATE TABLE T_CAQM_MATERIALATTACH (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_CERTIFICATEAPPLY_L') 
 CREATE TABLE T_CAQM_CERTIFICATEAPPLY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_CONFIG') 
 CREATE TABLE T_CAQM_CONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FKEY VARCHAR(100) DEFAULT ' ' NOT NULL,
FVALUE VARCHAR(2000) DEFAULT ' ' NOT NULL,
FCONTENT VARCHAR(255) DEFAULT ' ' NOT NULL,
FCONTENT_TAG NCLOB DEFAULT ' ',
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_CONFIG_L') 
 CREATE TABLE T_CAQM_CONFIG_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_PLANMATEENTRY') 
 CREATE TABLE T_CAQM_PLANMATEENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIZE DECIMAL(16,9) DEFAULT 0 NOT NULL,
FISMUSTUPLOAD CHAR(1) DEFAULT ' ' NOT NULL,
FMATERIALDESC NVARCHAR(500) DEFAULT ' ' NOT NULL,
FATTACHURL VARCHAR(2000) DEFAULT ' ' NOT NULL,
FATTACHNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_CERPLAN') 
 CREATE TABLE T_CAQM_CERPLAN (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSCHYEAR DATETIME,
FSCDUSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FCERSTARTDATE DATETIME,
FCERENDDATE DATETIME,
FAPPLYNUM INT DEFAULT 0 NOT NULL,
FISRUN CHAR(1) DEFAULT ' ' NOT NULL,
FSUBMITERID BIGINT DEFAULT 0 NOT NULL,
FSUBMITDATE DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(50) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_CERMATERIAL') 
 CREATE TABLE T_CAQM_CERMATERIAL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIZE DECIMAL(16,9) DEFAULT 0 NOT NULL,
FISMUSTUPLOAD CHAR(1) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(50) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_CERRESOLUTION') 
 CREATE TABLE T_CAQM_CERRESOLUTION (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FCERAPPLYID BIGINT DEFAULT 0 NOT NULL,
FEXAMSCHEDULEID BIGINT DEFAULT 0 NOT NULL,
FCERPLANID BIGINT DEFAULT 0 NOT NULL,
FCERSTANDID BIGINT DEFAULT 0 NOT NULL,
FCERLEVELID BIGINT DEFAULT 0 NOT NULL,
FRESOSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FRESORESULT VARCHAR(2) DEFAULT ' ' NOT NULL,
FOPINION VARCHAR(500) DEFAULT ' ' NOT NULL,
FEXAMINENUM INT DEFAULT 0 NOT NULL,
FPASSRATE VARCHAR(8) DEFAULT '  ' NOT NULL,
FINSTANCEID BIGINT DEFAULT 0 NOT NULL,
FACTVID BIGINT DEFAULT 0 NOT NULL,
FHANDLERTXT VARCHAR(2000) DEFAULT ' ' NOT NULL,
FHANDLETIME DATETIME,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBILLSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT '1' NOT NULL,
FAUDITSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FEVENTEFFECTDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_CEREXAMINE') 
 CREATE TABLE T_CAQM_CEREXAMINE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FCERPLANID BIGINT DEFAULT 0 NOT NULL,
FCERAPPLYID BIGINT DEFAULT 0 NOT NULL,
FEXAMSCHEDULEID BIGINT DEFAULT 0 NOT NULL,
FCERSTANDID BIGINT DEFAULT 0 NOT NULL,
FCERLEVELID BIGINT DEFAULT 0 NOT NULL,
FEXAMINERESULT VARCHAR(2) DEFAULT ' ' NOT NULL,
FEXAMINEOPINION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FDEALDURATION BIGINT DEFAULT 0 NOT NULL,
FEXAMINESTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FINSTANCEID BIGINT DEFAULT 0 NOT NULL,
FACTVID BIGINT DEFAULT 0 NOT NULL,
FEXAMENTRYID BIGINT DEFAULT 0 NOT NULL,
FCERGROUPENTRYID BIGINT DEFAULT 0 NOT NULL,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FHANDLETIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBILLSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT '1' NOT NULL,
FAUDITSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FEVENTEFFECTDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_MSGMAINTAIN') 
 CREATE TABLE T_CAQM_MSGMAINTAIN (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FENTITYNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FMSGID BIGINT DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_CERTIFICATEAPPLY') 
 CREATE TABLE T_CAQM_CERTIFICATEAPPLY (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FTALENTFILEID BIGINT DEFAULT 0 NOT NULL,
FRECORDERID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FDEPEMPID BIGINT DEFAULT 0 NOT NULL,
FEDUCATIONID BIGINT DEFAULT 0 NOT NULL,
FADMINORGVID BIGINT DEFAULT 0 NOT NULL,
FJOBVID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONVID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYAGE DECIMAL(16,9) DEFAULT 0 NOT NULL,
FCOMPANYVID BIGINT DEFAULT 0 NOT NULL,
FSUPERVISORID BIGINT DEFAULT 0 NOT NULL,
FCERSTANDID BIGINT DEFAULT 0 NOT NULL,
FCERLEVELID BIGINT DEFAULT 0 NOT NULL,
FCERPLANID BIGINT DEFAULT 0 NOT NULL,
FISPLAN CHAR(1) DEFAULT '0' NOT NULL,
FENABLEDATE DATETIME,
FDISENABLEDATE DATETIME,
FCERSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FCERRESULT VARCHAR(2) DEFAULT ' ' NOT NULL,
FACTVSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FCERRESOLUTERESULT VARCHAR(2) DEFAULT ' ' NOT NULL,
FCERAUDITRESULT VARCHAR(2) DEFAULT ' ' NOT NULL,
FCERDURATIONUNIT VARCHAR(2) DEFAULT '1' NOT NULL,
FISNOLIMIT CHAR(1) DEFAULT '0' NOT NULL,
FCERDURATION DECIMAL(16,9) DEFAULT 0 NOT NULL,
FTERREASON VARCHAR(2000) DEFAULT ' ' NOT NULL,
FAPPEALRESULT VARCHAR(2) DEFAULT ' ' NOT NULL,
FQUALSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FSELFASSSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FQUALRESULT VARCHAR(2) DEFAULT ' ' NOT NULL,
FSUBMITER BIGINT DEFAULT 0 NOT NULL,
FSUBMITTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBILLSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT '1' NOT NULL,
FAUDITSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FEVENTEFFECTDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_CERATTACH') 
 CREATE TABLE T_CAQM_CERATTACH (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_MATERIALENTRY') 
 CREATE TABLE T_CAQM_MATERIALENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIZE DECIMAL(16,9) DEFAULT 0 NOT NULL,
FISMUSTUPLOAD CHAR(1) DEFAULT ' ' NOT NULL,
FMATERIALDESC NVARCHAR(500) DEFAULT ' ' NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTEMPLATEURL VARCHAR(2000) DEFAULT ' ' NOT NULL,
FTEMPLATENAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FATTACHURL VARCHAR(2000) DEFAULT ' ' NOT NULL,
FATTACHNAME VARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_CERMATERIAL_L') 
 CREATE TABLE T_CAQM_CERMATERIAL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_CERTIFICATEAPPLY_A') 
 CREATE TABLE T_CAQM_CERTIFICATEAPPLY_A (
FID BIGINT DEFAULT 0 NOT NULL,
FCERAUDITSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FEMPHANDLETIME DATETIME,
FACTVCHAIN VARCHAR(2000) DEFAULT ' ' NOT NULL,
FACTVID BIGINT DEFAULT 0 NOT NULL,
FINSTANCEID BIGINT DEFAULT 0 NOT NULL,
FISEMPCER CHAR(1) DEFAULT '0' NOT NULL,
FQUALREJECTREASON VARCHAR(2000) DEFAULT ' ' NOT NULL,
FQUALOPINION VARCHAR(2000) DEFAULT ' ' NOT NULL,
FQUALHANDLERID BIGINT DEFAULT 0 NOT NULL,
FEMPSELFTIME DATETIME,
FISSELFEMP CHAR(1) DEFAULT '0' NOT NULL,
FQUALHANDLETIME DATETIME,
FISAPPEAL CHAR(1) DEFAULT ' ' NOT NULL,
FTERMINATERID BIGINT DEFAULT 0 NOT NULL,
FTERMINATETIME DATETIME,
FCERAPPEALID BIGINT DEFAULT 0 NOT NULL,
FCERSTDSORID BIGINT DEFAULT 0 NOT NULL,
FSLA INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_CERSTANDENTRY') 
 CREATE TABLE T_CAQM_CERSTANDENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCERSTDSORID BIGINT DEFAULT 0 NOT NULL,
FCERSTANDID BIGINT DEFAULT 0 NOT NULL,
FCELEVELID BIGINT DEFAULT 0 NOT NULL,
FPASSRATE VARCHAR(10) DEFAULT ' ' NOT NULL,
FAPPLYSTARTDATE DATETIME,
FAPPLYENDDATE DATETIME,
FEXAMSTARTDATE DATETIME,
FEXAMENDDATE DATETIME,
FQUALSTARTDATE DATETIME,
FQUALENDDATE DATETIME,
FAUDITSTARTDATE DATETIME,
FAUDITENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_EXAMSCHEDULE') 
 CREATE TABLE T_CAQM_EXAMSCHEDULE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FCERAPPLYID BIGINT DEFAULT 0 NOT NULL,
FEXAMINESTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FINSTANCEID BIGINT DEFAULT 0 NOT NULL,
FACTVID BIGINT DEFAULT 0 NOT NULL,
FCERGROUPID BIGINT DEFAULT 0 NOT NULL,
FCERSTANDID BIGINT DEFAULT 0 NOT NULL,
FCERLEVELID BIGINT DEFAULT 0 NOT NULL,
FEXAMERID BIGINT DEFAULT 0 NOT NULL,
FRESOERID BIGINT DEFAULT 0 NOT NULL,
FEXAMERTXT VARCHAR(2000) DEFAULT ' ' NOT NULL,
FRESOERTXT VARCHAR(50) DEFAULT ' ' NOT NULL,
FCTTRESOERID BIGINT DEFAULT 0 NOT NULL,
FEMPRESOERID BIGINT DEFAULT 0 NOT NULL,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FHANDLETIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBILLSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT '1' NOT NULL,
FAUDITSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FCERPLANID BIGINT DEFAULT 0 NOT NULL,
FSLA INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_CEREXAMINEENTRY') 
 CREATE TABLE T_CAQM_CEREXAMINEENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRATINGRESULTITEM VARCHAR(2) DEFAULT ' ' NOT NULL,
FRATINGRESULTID BIGINT DEFAULT 0 NOT NULL,
FABILITYITEMID BIGINT DEFAULT 0 NOT NULL,
FGOALLEVELID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_CERSELFASSENTRY') 
 CREATE TABLE T_CAQM_CERSELFASSENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FABILITYGROUPID BIGINT DEFAULT 0 NOT NULL,
FABILITYITEMID BIGINT DEFAULT 0 NOT NULL,
FGOALLEVELID BIGINT DEFAULT 0 NOT NULL,
FSELFSUMMARY VARCHAR(500) DEFAULT '0' NOT NULL,
FRATINGRESULTID BIGINT DEFAULT 0 NOT NULL,
FRATINGRESULTITEM VARCHAR(2) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_CERPLAN_L') 
 CREATE TABLE T_CAQM_CERPLAN_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_PLANMATEENTRY_L') 
 CREATE TABLE T_CAQM_PLANMATEENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FMATERIALDESC NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_MATERIALENTRY_L') 
 CREATE TABLE T_CAQM_MATERIALENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FMATERIALDESC NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_SELFATTACH') 
 CREATE TABLE T_CAQM_SELFATTACH (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_EXAMINER') 
 CREATE TABLE T_CAQM_EXAMINER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_QUALHANDLER') 
 CREATE TABLE T_CAQM_QUALHANDLER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_ARRANGEHANDLER') 
 CREATE TABLE T_CAQM_ARRANGEHANDLER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_EXAMARRENTRY') 
 CREATE TABLE T_CAQM_EXAMARRENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FEXAMERNAME VARCHAR(60) DEFAULT ' ' NOT NULL,
FEXAMERNUM VARCHAR(60) DEFAULT ' ' NOT NULL,
FCTTEEPERID BIGINT DEFAULT 0 NOT NULL,
FISEMPLOYEE CHAR(1) DEFAULT '0' NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_CURRCERSTDENTRY') 
 CREATE TABLE T_CAQM_CURRCERSTDENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCURRCERSTANDID BIGINT DEFAULT 0 NOT NULL,
FCURRCERLEVELID BIGINT DEFAULT 0 NOT NULL,
FSUBMITTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_CERPRSAPPEAL') 
 CREATE TABLE T_CAQM_CERPRSAPPEAL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBILLSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT '1' NOT NULL,
FAUDITSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FDEPEMPID BIGINT DEFAULT 0 NOT NULL,
FRECORDERID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FEDUCATIONID BIGINT DEFAULT 0 NOT NULL,
FADMINORGVID BIGINT DEFAULT 0 NOT NULL,
FJOBVID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONVID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYVID BIGINT DEFAULT 0 NOT NULL,
FCERPLANID BIGINT DEFAULT 0 NOT NULL,
FCERAPPLYID BIGINT DEFAULT 0 NOT NULL,
FCERSTANDID BIGINT DEFAULT 0 NOT NULL,
FCERLEVELID BIGINT DEFAULT 0 NOT NULL,
FAPPEALSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FAPPEALREASON VARCHAR(500) DEFAULT ' ' NOT NULL,
FAPPEALTIME DATETIME,
FAPPEALRESULT VARCHAR(2) DEFAULT ' ' NOT NULL,
FOPINION VARCHAR(500) DEFAULT ' ' NOT NULL,
FINSTANCEID BIGINT DEFAULT 0 NOT NULL,
FACTVID BIGINT DEFAULT 0 NOT NULL,
FACTVSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FHANDLETIME DATETIME,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FREFUSEOPINION VARCHAR(500) DEFAULT ' ' NOT NULL,
FDEALSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FCERRESULT VARCHAR(2) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_COMMPERSON') 
 CREATE TABLE T_CAQM_COMMPERSON (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_APPEALCOMM') 
 CREATE TABLE T_CAQM_APPEALCOMM (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBILLSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT '1' NOT NULL,
FAUDITSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FCERPLANID BIGINT DEFAULT 0 NOT NULL,
FCERAPPLYID BIGINT DEFAULT 0 NOT NULL,
FCERAPPEALID BIGINT DEFAULT 0 NOT NULL,
FCERSTANDID BIGINT DEFAULT 0 NOT NULL,
FCERLEVELID BIGINT DEFAULT 0 NOT NULL,
FAPPEALSUGG VARCHAR(2) DEFAULT ' ' NOT NULL,
FCOMMFEEDBACK VARCHAR(500) DEFAULT ' ' NOT NULL,
FCOMMSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FHANDLETIME DATETIME,
FHANDLERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_APPEALEXAMINE') 
 CREATE TABLE T_CAQM_APPEALEXAMINE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBILLSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT '1' NOT NULL,
FAUDITSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FCERPLANID BIGINT DEFAULT 0 NOT NULL,
FCERAPPLYID BIGINT DEFAULT 0 NOT NULL,
FCERAPPEALARRID BIGINT DEFAULT 0 NOT NULL,
FCERAPPEALID BIGINT DEFAULT 0 NOT NULL,
FCERSTANDID BIGINT DEFAULT 0 NOT NULL,
FCERLEVELID BIGINT DEFAULT 0 NOT NULL,
FAPPEALEXAMSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FAPPEALEXAMRESULT VARCHAR(2) DEFAULT ' ' NOT NULL,
FAPPEALEXAMOPINION VARCHAR(500) DEFAULT ' ' NOT NULL,
FINSTANCEID BIGINT DEFAULT 0 NOT NULL,
FACTVID BIGINT DEFAULT 0 NOT NULL,
FHANDLETIME DATETIME,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FCERGROUPENTRYID BIGINT DEFAULT 0 NOT NULL,
FDEALDURATION BIGINT DEFAULT 0 NOT NULL,
FEXAMENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_APPEALEXAMENTRY') 
 CREATE TABLE T_CAQM_APPEALEXAMENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRATINGRESULTID BIGINT DEFAULT 0 NOT NULL,
FABILITYITEMID BIGINT DEFAULT 0 NOT NULL,
FHISRATINGRESULTID BIGINT DEFAULT 0 NOT NULL,
FGOALLEVELID BIGINT DEFAULT 0 NOT NULL,
FHISRATRESULTITEM VARCHAR(2) DEFAULT ' ' NOT NULL,
FRATRESULTITEM VARCHAR(2) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_APPEALRESO') 
 CREATE TABLE T_CAQM_APPEALRESO (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBILLSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT '1' NOT NULL,
FAUDITSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FCERPLANID BIGINT DEFAULT 0 NOT NULL,
FCERAPPEALARRID BIGINT DEFAULT 0 NOT NULL,
FCERAPPLYID BIGINT DEFAULT 0 NOT NULL,
FCERAPPEALID BIGINT DEFAULT 0 NOT NULL,
FCERSTANDID BIGINT DEFAULT 0 NOT NULL,
FCERLEVELID BIGINT DEFAULT 0 NOT NULL,
FAPPEALRESOSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FAPPEALRESORESULT VARCHAR(2) DEFAULT ' ' NOT NULL,
FOPINION VARCHAR(500) DEFAULT ' ' NOT NULL,
FINSTANCEID BIGINT DEFAULT 0 NOT NULL,
FACTVID BIGINT DEFAULT 0 NOT NULL,
FHANDLETIME DATETIME,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FEXAMINENUM INT DEFAULT 0 NOT NULL,
FPASSRATE VARCHAR(8) DEFAULT '  ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_APPEALARRANGE') 
 CREATE TABLE T_CAQM_APPEALARRANGE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBILLSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT '1' NOT NULL,
FAUDITSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FCERPLANID BIGINT DEFAULT 0 NOT NULL,
FCERAPPLYID BIGINT DEFAULT 0 NOT NULL,
FCERAPPEALID BIGINT DEFAULT 0 NOT NULL,
FCERSTANDID BIGINT DEFAULT 0 NOT NULL,
FCERLEVELID BIGINT DEFAULT 0 NOT NULL,
FINSTANCEID BIGINT DEFAULT 0 NOT NULL,
FACTVID BIGINT DEFAULT 0 NOT NULL,
FACTVSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FHANDLETIME DATETIME,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FAPPEALARRSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FCERGROUPID BIGINT DEFAULT 0 NOT NULL,
FEXAMERID BIGINT DEFAULT 0 NOT NULL,
FCTTRESOERID BIGINT DEFAULT 0 NOT NULL,
FEMPRESOERID BIGINT DEFAULT 0 NOT NULL,
FEMPBOID BIGINT DEFAULT 0 NOT NULL,
FEXAMERTXT VARCHAR(2000) DEFAULT ' ' NOT NULL,
FRESOERTXT VARCHAR(50) DEFAULT ' ' NOT NULL,
FSLA INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_APPEALARRHANDLER') 
 CREATE TABLE T_CAQM_APPEALARRHANDLER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_APPEALDEALHANDLER') 
 CREATE TABLE T_CAQM_APPEALDEALHANDLER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_APELARRENTRY') 
 CREATE TABLE T_CAQM_APELARRENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FEXAMERNAME VARCHAR(60) DEFAULT ' ' NOT NULL,
FEXAMERNUM VARCHAR(60) DEFAULT ' ' NOT NULL,
FCTTEEPERID BIGINT DEFAULT 0 NOT NULL,
FISEMPLOYEE CHAR(1) DEFAULT '0' NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_CERMESSCONFIG') 
 CREATE TABLE T_CAQM_CERMESSCONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(2) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FMOVECHECKBOX CHAR(1) DEFAULT ' ' NOT NULL,
FPCCHECKBOX CHAR(1) DEFAULT ' ' NOT NULL,
FBAKIMAGEMOVERAD CHAR(1) DEFAULT ' ' NOT NULL,
FBAKIMAGEPCRAD CHAR(1) DEFAULT ' ' NOT NULL,
FCUSTOMPICMOVE VARCHAR(255) DEFAULT ' ' NOT NULL,
FSELECTCUSTOMPICMOVE VARCHAR(255) DEFAULT ' ' NOT NULL,
FMOVECONTENT VARCHAR(2000) DEFAULT ' ' NOT NULL,
FCUSTOMPICPC VARCHAR(255) DEFAULT ' ' NOT NULL,
FSELECTCUSTOMPICPC VARCHAR(255) DEFAULT ' ' NOT NULL,
FPCCONTENT VARCHAR(2000) DEFAULT ' ' NOT NULL,
FPCCONTENT_TAG NCLOB DEFAULT ' ',
FMOVECONTENT_TAG NCLOB DEFAULT ' ',
FNOTIFY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMESSCONTENT VARCHAR(2000) DEFAULT ' ' NOT NULL,
FSELECTPIC VARCHAR(255) DEFAULT ' ' NOT NULL,
FCUSTOMPICTURE VARCHAR(255) DEFAULT ' ' NOT NULL,
FSELECTPICAD VARCHAR(2) DEFAULT ' ' NOT NULL,
FMESSMODE VARCHAR(2) DEFAULT ' ' NOT NULL,
FMESSCONTENT_TAG NCLOB DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_CERMESSCONFIG_L') 
 CREATE TABLE T_CAQM_CERMESSCONFIG_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FNOTIFY NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_CHOOSEDITEM') 
 CREATE TABLE T_CAQM_CHOOSEDITEM (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_QUALIAUTHPARAM') 
 CREATE TABLE T_CAQM_QUALIAUTHPARAM (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENTRYBOID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_QUALIAUTHPARAMS') 
 CREATE TABLE T_CAQM_QUALIAUTHPARAMS (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FINDEX BIGINT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_QUALIAUTHPARAMS_L') 
 CREATE TABLE T_CAQM_QUALIAUTHPARAMS_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_QUALICAPRANKENTRY') 
 CREATE TABLE T_CAQM_QUALICAPRANKENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCAPITEMID BIGINT DEFAULT 0 NOT NULL,
FCAPRANKINFOID BIGINT DEFAULT 0 NOT NULL,
FQUALIRANKINFOID BIGINT DEFAULT 0 NOT NULL,
FENTRYBOID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_QUALIJOBCLASS') 
 CREATE TABLE T_CAQM_QUALIJOBCLASS (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FJOBCLASSID BIGINT DEFAULT 0 NOT NULL,
FENTRYBOID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_QUALIJOBFAMILY') 
 CREATE TABLE T_CAQM_QUALIJOBFAMILY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FJOBFAMILYID BIGINT DEFAULT 0 NOT NULL,
FENTRYBOID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_QUALIJOBSEQ') 
 CREATE TABLE T_CAQM_QUALIJOBSEQ (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FJOBSEQID BIGINT DEFAULT 0 NOT NULL,
FENTRYBOID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_QUALIRANKENTRY') 
 CREATE TABLE T_CAQM_QUALIRANKENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FENTRYBOID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_QUALIRANKENTRY_L') 
 CREATE TABLE T_CAQM_QUALIRANKENTRY_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_QUALIRANKSCHEME') 
 CREATE TABLE T_CAQM_QUALIRANKSCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(2) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FINDEX BIGINT DEFAULT 0 NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT ' ' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FHISVERSION VARCHAR(10) DEFAULT ' ' NOT NULL,
FCHANGEDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FISMODIFY VARCHAR(2) DEFAULT ' ' NOT NULL,
FRANKINFO NVARCHAR(500) DEFAULT ' ' NOT NULL,
FVERSIONSOURCE VARCHAR(2) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_QUALIRANKSCHEME_L') 
 CREATE TABLE T_CAQM_QUALIRANKSCHEME_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FRANKINFO NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_QUALISTANDARD') 
 CREATE TABLE T_CAQM_QUALISTANDARD (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(2) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FINDEX BIGINT DEFAULT 0 NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT ' ' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FHISVERSION VARCHAR(10) DEFAULT ' ' NOT NULL,
FCHANGEDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FISMODIFY VARCHAR(2) DEFAULT ' ' NOT NULL,
FDESIGNORGID BIGINT DEFAULT 0 NOT NULL,
FSCENARIOID BIGINT DEFAULT 0 NOT NULL,
FJOBSCMID BIGINT DEFAULT 0 NOT NULL,
FRANKSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FLOWESTRANKID BIGINT DEFAULT 0 NOT NULL,
FHIGHESTRANKID BIGINT DEFAULT 0 NOT NULL,
FRANKRANGE VARCHAR(200) DEFAULT ' ' NOT NULL,
FDIRECTAPPLYCHECK CHAR(1) DEFAULT ' ' NOT NULL,
FLOWTENURECHECK CHAR(1) DEFAULT ' ' NOT NULL,
FEXPIRYDATECHECK CHAR(1) DEFAULT ' ' NOT NULL,
FVERSIONSOURCE VARCHAR(2) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_QUALISTANDARD_L') 
 CREATE TABLE T_CAQM_QUALISTANDARD_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\CAQM_table.sql **/
